import GlobalDialog from './GlobalDialog/index.vue'
import GlobalForm from './GlobalForm/index.vue'
import GlobalToolBtn from './GlobalToolBtn/index.vue'
import GlobalTable from './GlobalTable/index.vue'
import Pagination from './Pagination/index.vue'

const components = [GlobalDialog,GlobalForm,GlobalToolBtn,GlobalTable,Pagination]

const install = (Vue) => {
  components.map((component) => {
    Vue.component(component.name, component)
  })
}

if (typeof Window !== 'undefined' && window.Vue) {
  install(Window.Vue)
}

export default {
  install
}