import request from '@/utils/request'

const api_module = {
  login(data) {
    return request({
      url: '/admin/login',
      method: 'post',
      data
    })
  },

  getInfo(token) {
    return request({
      url: '/api/info',
      method: 'get',
      params: { token }
    })
  },

  logout() {
    return request({
      url: '/api/logout',
      method: 'post'
    })
  },

  logClear(id) {
    return request({
      url: '/admin/clear/' + id,
      method: 'GET'
    })
  }
}
export default api_module
